=== debian/changelog ===
libspng (0.7.3-3) unstable; urgency=medium

  * d/control: add Depends libspng0 to libspng-dev.
    Thanks to Jordi for the report (Closes: #1030670)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 07 Feb 2023 21:18:58 +0100

libspng (0.7.3-2) unstable; urgency=medium

  * Source-only upload

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 02 Feb 2023 20:38:28 +0100

libspng (0.7.3-1) unstable; urgency=low

  * Initial release. Closes: #1024643

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 23:58:45 +0100
