=== debian/changelog ===
libspng (0.7.4-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:47:36 +0200

libspng (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
    - Fix decode error for zero-length EXIF

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 09 May 2023 09:51:24 +0200
