=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libspng
 Section: libs
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: libpng-dev <!nocheck>,
                     meson,
