=== debian/tests/control ===
Tests: pkgconfig
Depends: gcc | c-compiler,
         libc-dev,
         pkg-config,
         @
